Bug 491498 - error starting installation after dependency resolution
error starting installation after dependency resolution
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:6f916e0917cafb75d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-21 20:39 EDT by G.Wolfe Woodbury
Modified: 2009-04-02 17:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-02 17:17:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (187.70 KB, text/plain)
2009-03-21 20:39 EDT, G.Wolfe Woodbury
no flags Details

  None (edit)
Description G.Wolfe Woodbury 2009-03-21 20:39:36 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.35 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/sortedtransaction.py", line 54, in getMembers
    returnlist.extend(self.pkgdict[ele])
  File "/usr/lib/anaconda/yuminstall.py", line 1833, in __init__
    self.numpkgs = len(self.ayum.tsInfo.getMembers())
  File "/usr/lib/anaconda/yuminstall.py", line 770, in run
    self.dsCallback = DownloadHeaderProgress(intf, self)
  File "/usr/lib/anaconda/yuminstall.py", line 1577, in doInstall
    rc = self.ayum.run(self.instLog, cb, anaconda.intf, anaconda.id)
  File "/usr/lib/anaconda/backend.py", line 287, in doInstall
    return anaconda.backend.doInstall(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1338, in handleRenderCallback
    self.currentWindow.renderCallback()
KeyError: (u'readahead', u'i586', u'1', u'1.4.9', u'1.fc11')
Comment 1 G.Wolfe Woodbury 2009-03-21 20:39:46 EDT
Created attachment 336183 [details]
Attached traceback automatically from anaconda.
Comment 2 Chris Lumens 2009-04-01 14:22:47 EDT
Is this at all reproducable?  I would think this would affect all split media installs (CD, nfsiso, hdiso) and yet this is the only bug report I've gotten with this traceback.
Comment 3 G.Wolfe Woodbury 2009-04-01 20:16:41 EDT
not reproducable, didn't re-occur

Note You need to log in before you can comment on or make changes to this bug.